function createDataClass(){
	var mParList=new Array();
	var tabParList=new Array();
	this.menuPar=null;
	this.tabPar=null;
	this.selectids=new Array();
	this.selectPaths=new Array();
	var fileData=null;
	var menuData=null;
	var fields=null;
	this.fData=null
	this.field=null
	this.serverPath="";
	this.modiType=null;
	this.readFileData=function(){
		var objResponse=new JHttpResponse();
		objResponse.write("table",asTab);	
		objResponse.write("fileid",fileid);
		objResponse.write("menuid",menuid);
	
		if (this.serverPath!=""){
			var out=objAjax.getText("post",this.serverPath+"createDataServer.aspx?type=readFileData",objResponse,null);
		}else{
			var out=objAjax.getText("post","createDataServer.aspx?type=readFileData",objResponse,null);
		}
	    out=comminute(out,c1,c2);
		if (out.length<2){
			alert(erStr(out.toString()))
			return;
		}
		fileData=out[0];   //文件的字段的值
		menuData=out[1];   //数据在哪些栏目中有保存		
		//title,Kind,content,TabImage,TabKeys,CBS,Source,SourceUrl,signForUser,signInUser,WebUrl," + fields + ",signFor,signForUser,signInUser,IsHidden,IsTop,IsEssence,IsRemark,Examine,P_A_View_ID,Art_View_Int_ID,saveDate
		fields=out[2][0];  //字段集合
		fields=fields.split(",");
		this.fData=fileData;
		this.field=fields;		
		for (var i=0;i<fields.length;i++){
			if (fields[i]=="signFor"){
				break;
			}
			var obj=document.getElementById("T_"+fields[i])
			if (obj!=null){
				var objType=obj.type;
				objType=objType.toLowerCase();
				switch (objType){
					case "text":
						var v=fileData[i];
						if (v.length<30 & v.indexOf("0:00:00")!=-1){
							v=v.split(" ")[0]
						}
						obj.value=v;
						break;
					case "checkbox":
						findCheckbox("T_"+fields[i],fileData[i])
						break;
					case "radio":
						findRadio("T_"+fields[i],fileData[i])
						break;
					case "hidden":
						if (obj.id=="T_content"){
							EditContent=fileData[i].replace("<sc","<");
							EditContent=fileData[i].replace("<SC","<");
						}else{
							findSelect("T_"+fields[i],fileData[i])
						}
						break;
					default:
						if (obj.id=="T_content"){
							EditContent=fileData[i];
						}else{
							obj.value=fileData[i];
						}
						break;
				}
			}
		}
		if (out[3]!="" & out[3]!=null){
			try{
				intNum=out[3]
				$("dispInt").value=out[3][0];
				$("dispMoney").value=out[3][1];
				$("AwardsInt").value=out[3][2];
				$("AwardsMoney").value=out[3][3];
				$("intType").checked=false;
				$("intDiv").style.display="";
			}catch(e) {}
		}
		if (this.modiType==null){
			form1.T_IsTop1.value=getField(fileData,fields,"IsTop") //读一个字段的值.
			this.setCheckBox("IsTop");
			this.setCheckBox("IsEssence");
			this.setCheckBox("IsHidden");
			this.setCheckBox("Examine");
			this.setCheckBox("IsRemark");
			var box=this.setCheckBox("signFor");
			
			if (box.checked==true){
				document.getElementById("signFor").style.display="";
			}
			if (form1.T_signFor.checked){
				signFor[0].style.display="";
				signFor[1].style.display="";
			}
			for (var i=0;i<menuData.length-1;i++){
				var menu=menuData[i].split(c3);
				menu[0]=m.readPath(menu[0]);
				var x=this.selectids.length;
				var add=1;
				for (var i1=0;i1<x;i1++){
					if (this.selectids[i1]==menu[1]){
						add=0;
						break;
					}
				}
				if (add=1){
					this.addSelectMenu(menu);
				}
			}
		}
		
	}
	
	this.setCheckBox=function(field){
		var obj=document.getElementById("T_"+field)
		if (obj!=null){
			if (getField(fileData,fields,field)=="1"){
				obj.checked=true;
			}else{
				obj.checked=false;
			}
		}else{
			
		}
		return obj;
	}
	
	this.selectPowerMenu=function(table){ //选择有权限的栏目
		var menu=openSelectPowerMenu(table);
		if (menu!=null){
			menu=menu.split(c1);
			var x=this.selectids.length;
			for (var i=0;i<x;i++){
				if (this.selectids[i]==menu[1]){
					return false;
				}
			}
			this.addSelectMenu(menu);
	     }
	}
	
	this.selectmenu=function(){ //选择栏目
		try{
			if ( sysPath!=null &  sysPath!=""){
				var menu=showModalDialog(sysPath+"system/myweb/selectMenu.htm?tab="+this.menuPar[15]+"&t="+create_id(), window, "dialogWidth:580px; dialogHeight:460px; toolbar=no;location=no;directories=no;status=no;menubar=no;scroll=auto;resizable=0;help=0");
			}else{
				var menu=showModalDialog("selectMenu.htm?tab="+this.menuPar[15]+"&t="+create_id(), window, "dialogWidth:580px; dialogHeight:460px; toolbar=no;location=no;directories=no;status=no;menubar=no;scroll=auto;resizable=0;help=0");
			}
		}catch(e) {
				var menu=showModalDialog("selectMenu.htm?tab="+this.menuPar[15]+"&t="+create_id(), window, "dialogWidth:580px; dialogHeight:460px; toolbar=no;location=no;directories=no;status=no;menubar=no;scroll=auto;resizable=0;help=0");
			
		}
		if (menu!=null){
			menu=menu.split(c1);
			var x=this.selectids.length;
			for (var i=0;i<x;i++){
				if (this.selectids[i]==menu[1]){
					return false;
				}
			}
			this.addSelectMenu(menu);
	     }
	}
		
		
    this.selectmenuEdit=function(){ //选择栏目
		var menu=openSelectPowerMenu(asTab);
		if (menu!=null){
			menu=menu.split(c1);
			this.selectids=menu[1];
			menuid=menu[1];
			$("selectPathDiv").innerHTML=menu[0];
	     }
	}
		
		
	this.addSelectMenu=function(menu){  //写入选中的栏目
			var x=this.selectids.length;
			this.selectids[x]=menu[1];
			this.selectPaths[x]=menu[0];
			var tempObj=document.createElement("div");
			var obj=selectPathDiv.appendChild(tempObj);
			obj.title=menu[1];
			obj.style.width="350px";
			obj.id="pathOption";
			tempObj=document.createElement("span");
			var textObj=obj.appendChild(tempObj);
			textObj.innerText=menu[0];
			textObj.style.cssText="width:315px;";
			tempObj=document.createElement("span");
			var delObj=obj.appendChild(tempObj);
			delObj.innerText="删除";
			delObj.style.cssText="width:30px;cursor:default";
			delObj.title=menu[1];
			delObj.onclick=function(){
				var x=pathOption.length;
				if (x==1){
					alert("最后一个所属栏目不能删除")
					return;	
				}
				for (var i=0;i<x;i++){
					if (pathOption[i].title==this.title){
						pathOption[i].removeNode(true);
						d.selectids.removeAt(i);
						d.selectPaths.removeAt(i);
						break;
					}
				 }
			}
	}

	this.loadPar=function(mid){  //依据栏目ID加载栏目参数
 	    if (mid=="" | mid==null){
		  alert("没有读取到基础栏目") 
		  return;
		}
		var mPar=mParList;
		for (var i=0;i<mPar.length;i++){
			if (mPar[i][0]==mid){
				return mPar[i][1];
			}
		}
		if (this.serverPath!="" & this.serverPath!=null &this.serverPath.indexOf("myWeb")==-1){
			this.serverPath=this.serverPath+"myWeb/";
		}
		var out=objAjax.getText("post",this.serverPath+"createDataServer.aspx?type=readMenuPar&menuid="+mid+"&pType="+pType,null,null);
		if (out=="noPop"){
			return out;	
		}
	    out=out.split(c1);
		if (out.length<2){
			alert(erStr(out.toString()))
			return;
		}

		var x=mPar.length;
		mPar[x]=new Array();
		mPar[x][0]=mid;
		mPar[x][1]=out;
		mParList=mPar;
		return out;
    //MID,MName,IndexNum,UpListID,layer,isDown,isDel,
    // 0   1        2        3       4      5      6
    //mDate,DownListID,Type,UsePower,Intro,PageSize,
    // 7        8        9       10     11     12
    //IsPageUrl,PageUrl,AsTab,TitleImg,menuText,affiche,menuKey
	}	
	this.loadExDataPar=function(tab){  //读出挂接表的参数;  这里是读出可编辑的字段
		var tPar=tabParList;
		for (var i=0;i<tPar.length;i++){
			if (tPar[i][0]==tab){
				return tPar[i][1];
			}
		}
		if (this.serverPath!="" & this.serverPath!=null &this.serverPath.indexOf("myWeb")==-1){
			this.serverPath=this.serverPath+"myWeb/";
		}
		var out=objAjax.getText("post",this.serverPath+"createDataServer.aspx?type=tabPar&table="+tab,null,null);
	    out=comminute(out,c1,c2);
		var x=tPar.length;
		tPar[x]=new Array();
		tPar[x][0]=tab;
		tPar[x][1]=out;
		tabParList=tPar;
		return out;
	}
	
	this.displayUpFile=function(thisObj){
		var obj=thisObj.previousSibling.previousSibling;
		if (obj.value=="" | obj.value==null){
			alert("没有可打开的内容")
			return;
		}
		var aObj=$("displayUpFileHref");
		aObj.href=obj.value;
		aObj.click();
	}
	
	this.displayExData=function(dObj,cssObj){ //在指定的对象中,显示挂表可编辑字段
		if (cssObj==null){
			cssObj=new exFieldCss();
		}
		var fList=this.tabPar;
		var tempObj=document.createElement("div");
		var obj=dObj.appendChild(tempObj);
		var language=cssObj.language;
		if (language==null){language="c";}
		
		var l_up,l_open,l_select,l_edit;
		switch (language){
			case "e":
				l_up="Upload";
				l_open="Open";
				l_select="Select";
				l_edit="With the editor";
				break;
			default:
				l_up="上传";
				l_open="打开";
				l_select="选择";
				l_edit="用编辑器编辑";
				break;
		}
		obj.style.cssText="display:none";
		obj.innerHTML="<a target='_blank' id='displayUpFileHref' href='' style='display:none;'></a>";
		for (var i=0;i<fList.length-1;i++){
			tempObj=document.createElement("div");
			obj=dObj.appendChild(tempObj);
			obj.style.cssText="float:left;width:"+cssObj.rowWidth+";height:"+cssObj.rowHeight;
			//fName,fAsName,fType,fSize,fEditType,isNull 
			tempObj=document.createElement("div");
			var textObj=obj.appendChild(tempObj);

			tempObj=document.createElement("div");
			var inputObj=obj.appendChild(tempObj);
			
			textObj.style.cssText=" float:left;width:"+cssObj.fontWidth+";color:"+cssObj.fontColor+";fontSize:"+cssObj.fontSize+"; padding-top:4px; padding-left:6px;"
			textObj.className=cssObj.fontCss;
			
			if (fList[i][5]=="1"){
				textObj.innerHTML=fList[i][1]+"<font color='#ff0000'>*</font>";
			}else{
				textObj.innerText=fList[i][1];
			}
			var html="";
			switch (fList[i][2]){
				case "int":
				case "numeric":
					inputObj.innerHTML="<input   class='"+cssObj.fontCss+"'  isV='1' isNum='1' max='999999999' notNull='"+fList[i][5]+"'  type='text' id='T_"+fList[i][0]+"' name='T_"+fList[i][0]+"' style='height:"+cssObj.textHeight+";width:"+cssObj.textWidth+";' title='"+fList[i][1]+"'>";
					break;
				case "_img":
					html="<input   class='"+cssObj.fontCss+"'  isV='1' isNum='' max='' notNull='"+fList[i][5]+"'  up='img' type='text' id='T_"+fList[i][0]+"' name='T_"+fList[i][0]+"' style='height:"+cssObj.textHeight+";width:"+cssObj.textWidth1+";' title='"+fList[i][1]+"'>"
					html=html+"<input type='button' value='"+l_up+"' onclick=\"d.upfile(this,'"+this.serverPath+"','1')\">";
					html=html+"<input type='button' value='"+l_open+"' onclick='d.displayUpFile(this);' >";
					inputObj.innerHTML=html;
					break;
				case "_soft":
				
					html="<input   class='"+cssObj.fontCss+"'  isV='1' isNum='' max='' notNull='"+fList[i][5]+"'  type='text' id='T_"+fList[i][0]+"' name='T_"+fList[i][0]+"' style='height:"+cssObj.textHeight+";width:"+cssObj.textWidth1+";' title='"+fList[i][1]+"'>"
					html=html+"<input type='button' value='"+l_up+"' onclick=\"d.upfile(this,'"+this.serverPath+"','3')\">";
				    html=html+"<input type='button' value='"+l_open+"' onclick='d.displayUpFile(this);' >";
					inputObj.innerHTML=html;
					break;
				case "datetime":
					html="<input   class='"+cssObj.fontCss+"'  isV='1' isNum='' max='' notNull='"+fList[i][5]+"'  type='text' id='T_"+fList[i][0]+"' name='T_"+fList[i][0]+"' style='height:"+cssObj.textHeight+";width:"+cssObj.textWidth1+";' title='"+fList[i][1]+"'>"
					html=html+"<input type='button' value='"+l_select+"' onclick='d.selectDate(this,\""+language+"\")'>";
					inputObj.innerHTML=html;
					break;
				default :
					if (fList[i][4]<20){
						switch  (fList[i][4]){
							case "1":
								inputObj.innerHTML="<textarea  class='"+cssObj.fontCss+"'  max='"+fList[i][3]+"' isV='1' notNull='"+fList[i][5]+"'  type='text' id='T_"+fList[i][0]+"' name='T_"+fList[i][0]+"' style='height:"+cssObj.textHeight+";width:"+cssObj.textWidth+";height:100px;' title='"+fList[i][1]+"'></textarea>"; //<input type='button' value='"+l_edit+"' onclick='d.editText(this)'>"; 去掉的用编辑器编辑功能.
								break;
							case "2":
								html="<input   class='"+cssObj.fontCss+"'  isV='1' isNum='' max='' notNull='"+fList[i][5]+"'  type='text' id='T_"+fList[i][0]+"' name='T_"+fList[i][0]+"' style='height:"+cssObj.textHeight+";width:"+cssObj.textWidth1+";' title='"+fList[i][1]+"'>"
								html=html+"<input type='button' value='"+l_select+"' onclick='d.selectDate(this,\""+language+"\")'>";
								inputObj.innerHTML=html;
								break;
							case "3":
								html="<input   class='"+cssObj.fontCss+"'  isV='1' isNum=''  max='"+fList[i][3]+"'  notNull='"+fList[i][5]+"'  type='text' id='T_"+fList[i][0]+"' name='T_"+fList[i][0]+"' style='height:"+cssObj.textHeight+";width:"+cssObj.textWidth1+";' title='"+fList[i][1]+"'>"
								html=html+"<input type='button' value='"+l_select+"' onclick='d.selectAddress(this)'>";
								inputObj.innerHTML=html;
								break;
							default :
								inputObj.innerHTML="<input   class='"+cssObj.fontCss+"'  isV='1'  max='"+fList[i][3]+"' notNull='"+fList[i][5]+"'  type='text' id='T_"+fList[i][0]+"' name='T_"+fList[i][0]+"' style='height:"+cssObj.textHeight+";width:"+cssObj.textWidth+";' title='"+fList[i][1]+"'>";
								break;
						}
					}else{  //自定义扩展下拉菜单
						var sindex=fList[i][4]-20;
						var findItem=new itemClass();
						findItem.mode="sindex";
						findItem.add(sindex,"T_"+fList[i][0],"");  //添加选项, 选项名或序号, 对象名, 样式表名
						findItem.obj=inputObj;
						if (this.serverPath.indexOf("myWeb")!=-1){
							findItem.create(this.serverPath+"");
						}else{
							findItem.create(this.serverPath+"myWeb/");
						}
						
					}
			}
			inputObj.style.cssText=" float:left;"
		}
    }
	
	this.editText=function(obj){		
		var textObj=obj.previousSibling;
		var id=textObj.id;
		try{
			var vrr=openEdit(id,sysPath);
		}catch(e) {
			var vrr=openEdit(id);
		}
		if (vrr!=null){
			textObj.value=vrr;
		}
	}
   
   this.upfile=function(obj,sysPath,fileType){  //按钮对象,当前路径,文件类型,返回值类型, 是不是用逗号分割,返回多个文件名.
	   if (sysPath==null){
		   sysPath="";
	   }
	   if (fileType==null){
		   fileType="1";
		}
		if (sysPath.indexOf("myWeb/")!=-1){
			sysPath=sysPath.replace("myWeb/","");
		}
	   var photo=openUpfile(fileType,sysPath);
	   	if (photo!=null){
			photo=photo.split(c1);
			var textObj=obj.previousSibling;
			 if (photo.length>2 & textObj.up=="img"){
			    var objs0=document.getElementsByTagName("input");
			    var objs=new Array();
			    var isAdd=0;
			    for (var i=0;i<objs0.length;i++){
			        if (objs0[i]==textObj){isAdd=1;}
			        if (objs0[i].up=="img" & isAdd==1){
			            objs[objs.length]=objs0[i];
			        }
			    }
			    if (objs.length<2){
			          textObj.value=photo[0];
			        
			    }else{
			        for (var i=0;i<objs.length;i++){
    			    
			            if (i>photo.length-1){break;}
			            if (objs[i].value=="" | i==0 ){
			                objs[i].value=photo[i];
			            }
			        }
			    }
			    
			 }else{
			    textObj.value=photo[0];
			}
		}
   }
   
   this.selectDate=function(obj,language){
	   var d=openSelectDate(null,language);
	   	if (d!=null){
			var textObj=obj.previousSibling;
			textObj.value=d;
		}
   }
   
   this.selectAddress=function(obj){
	    var d=openSelectAddress();
	   	if (d!=null){
			var textObj=obj.previousSibling;
			textObj.value=d;
		}
	}
   //2010-04-21 博客
   this.saveArticles=function(){
        var tObj=document.getElementById("typeMenuID");
		var cObj=document.getElementById("competenceID");	
		var typeMenuID=0,competenceID=0;
		try{
			 typeMenuID=tObj.options[tObj.selectedIndex].value;
			 competenceID=cObj.options[cObj.selectedIndex].value;
		}catch(e){
          alert("当前为非法进入,不能够提交数据");  
          return;   
		}
        try{
   			var va=editTxt.GetContent();
	   	}catch(e){
			va="";		
    	}
		va=va.replace(/script/gi,"ＳＣＲＩＰＴ");
		va=va.replace(/java/gi,"ＪＡＶＡ");
		if (va.indexOf("fileBodyImg")==-1){
			va=va.replace("<IMG ","<IMG style='display:none;' id='fileBodyImg' name='fileBodyImg' ");
		}		
		va=va.replace("style=\"BORDER-LEFT-COLOR: #000000; FILTER: ; BORDER-BOTTOM-COLOR: #000000; BORDER-TOP-COLOR: #000000; BORDER-RIGHT-COLOR: #000000\"","");
		try{
	  	  $("T_content").value=va;
		}catch(e){}
   		var v=new validate();
		v.form=document.getElementById("form1");
		if (!v.start()){  //验证必填项
		   return ;
		}
		p=this.menuPar[10];
		var objResponse=new JHttpResponse();
		if ($("AwardsInt")!=null){
			if (($("AwardsInt").value!="" || $("AwardsMoney").value!="") & ($("AwardsInt").value!="0" || $("AwardsMoney").value!="0") & pType!="modi"){
				objResponse.write("delInt",$("AwardsInt").value);
				objResponse.write("delMoney",$("AwardsMoney").value);
				var out=objAjax.getText("post",this.serverPath+"createDataServer.aspx?type=readInt",objResponse,null);
				if (out.indexOf(c1)==-1){
					alert(erStr(out));
					return;
				}
				out=out.split(c1);
				if (out[0]=="0"){
					alert("您的积分不够支付招标所需积分")
					return;	
				}
				
				if (out[1]=="0"){
					alert("您的虚拟货币不够支付招标所需虚拟货币")
					return;	
				}				
				if (!window.confirm("您发布了一个投标，此操作会扣除您的积分："+$("AwardsInt").value+"，虚拟货币:"+$("AwardsMoney").value+"，是否继续？")){
					return;
				}
			}
		}else{		   
			objResponse.write("intType","-1");
        }
		if ( $("T_content")==null){
			objResponse.write("T_content","");
		}		
		objResponse.write("table",asTab);
		var fList=this.tabPar;
		var fields="";
		for (var i=0;i<fList.length-1;i++){
			if (i<fList.length-2){
				fields=fields+fList[i][0]+","
			}else{
				fields=fields+fList[i][0]+""
			}
		}		
		objResponse.write("fields",fields);
		objResponse.write("P_A",p);
		objResponse.write("menuids",this.selectids);
		objResponse.write("mname",this.menuPar[1]);
		if (fileid==null|fileid==""){fileid=""}
		objResponse.write("id",fileid);
		this.menuPar[10]
		var useType=urlPar("useType");
		var typeId=urlPar("typeId");
	    var out=objAjax.submit(form1,"post",true,objResponse);
		if (!isNaN(out)){	
			if (out=="1"||out=="0"){
				var objResponse=new JHttpResponse();
                var pType=urlPar("pType");
                var id=urlPar("id");
                if(pType=="modi"){
                  objResponse.write("id",id);
                }else{
                  objResponse.write("id","");
                }               
                objResponse.write("menuid",menuid);
                objResponse.write("tabname",asTab);
				objResponse.write("competenceID",competenceID);
				objResponse.write("typeMenuID",typeMenuID);
				var out=objAjax.getText("post",sysPath+"home/updataArticles.aspx?type=setContentAttribute&useType="+useType+"&typeId="+typeId,objResponse,null);
				alert ("一条信息已保存, 点击确定继续.")
				location.reload();
			}else {
				alert ("您在此栏目下没有发布权限");
			}				
		}else{
			alert (erStr(out));
	    }
    }	
	
   this.saveDAta=function(){  //提交表单
   		var va=editTxt.GetContent();
		va=va.replace(/script/gi,"ＳＣＲＩＰＴ");
		va=va.replace(/java/gi,"ＪＡＶＡ");
		if (va.indexOf("fileBodyImg")==-1){
			va=va.replace("<IMG ","<IMG style='display:none;' id='fileBodyImg' name='fileBodyImg' ");
		}
		va=va.replace("style=\"BORDER-LEFT-COLOR: #000000; FILTER: ; BORDER-BOTTOM-COLOR: #000000; BORDER-TOP-COLOR: #000000; BORDER-RIGHT-COLOR: #000000\"","");
	    $("T_content").value=va;
   		var v=new validate();
		v.form=document.getElementById("form1");
		if (!v.start()){  //验证必填项
		   return ;
		}
	   if (this.selectids.length==0){
		   	alert ("请设置你要发布文件的栏目")
			return false;
	    }
		var p=power.save(0);  //取出权限配置的ID
		if (p==null){
			return false;
		}		
		if (form1.T_IsTop1.value<1){form1.T_IsTop1.value="1"}
		var objResponse=new JHttpResponse();
		objResponse.write("table",asTab);
		
		var fList=this.tabPar;
		var fields="";
		for (var i=0;i<fList.length-1;i++){
			if (i<fList.length-2){
				fields=fields+fList[i][0]+","
			}else{
				fields=fields+fList[i][0]+""
			}
		}
		objResponse.write("fields",fields);
		objResponse.write("P_A",p);
		objResponse.write("menuids",this.selectids);
		if (fileid==null|fileid==""){fileid=""}
		objResponse.write("id",fileid);
		//fName,fAsName,fType,fSize,fEditType,isNull 
	    var out=objAjax.submit(form1,"post",true,objResponse);
		if (out.search("OK")!=-1){
		    //---------------------------------------
			if(intObject){
				var wxi=intObject.saveDate();
				if (!wxi){
					return false;
				}
			}
			//-------------------------------------------			
			if (fileid==null | fileid==""){
				alert ("一条信息发布完成, 点击确定继续.")
				if ($("isClear").checked){
					location.reload();
				}
			}else{
				alert ("数据已保存.");
			}
			var frame=eval("parent.wIframe_"+wNum);
			try{
				frame.myWeb.readFiels();
			}catch(e){
				
			}			
		}else{
			alert (erStr(out));
		}
		
	}
	this.saveContribute=function(){  //提交表单 前台
		   try{
   				var va=editTxt.GetContent();
	   	   }catch(e){
			   va="";		
    		}
		va=va.replace(/<script/gi,"＜ＳＣＲＩＰＴ");
		va=va.replace(/java/gi,"ＪＡＶＡ");
		if (va.indexOf("fileBodyImg")==-1){
			va=va.replace("<IMG ","<IMG style='display:none;' id='fileBodyImg' name='fileBodyImg' ");
		}		
		va=va.replace("style=\"BORDER-LEFT-COLOR: #000000; FILTER: ; BORDER-BOTTOM-COLOR: #000000; BORDER-TOP-COLOR: #000000; BORDER-RIGHT-COLOR: #000000\"","");

		try{
	  	  $("T_content").value=va;
		}catch(e){}
		
   		var v=new validate();
		v.form=document.getElementById("form1");
		if (!v.start()){  //验证必填项
		   return ;
		}
	    p=this.menuPar[10];
		var objResponse=new JHttpResponse();
		
		if ($("AwardsInt")!=null){
			if (($("AwardsInt").value!="" || $("AwardsMoney").value!="") & ($("AwardsInt").value!="0" || $("AwardsMoney").value!="0") & pType!="modi"){
				objResponse.write("delInt",$("AwardsInt").value);
				objResponse.write("delMoney",$("AwardsMoney").value);
				var out=objAjax.getText("post",this.serverPath+"createDataServer.aspx?type=readInt",objResponse,null);
				if (out.indexOf(c1)==-1){
					alert(erStr(out));
					return;
				}
				out=out.split(c1);
				if (out[0]=="0"){
					alert("您的积分不够支付招标所需积分")
					return;	
				}
				
				if (out[1]=="0"){
					alert("您的虚拟货币不够支付招标所需虚拟货币")
					return;	
				}				
				if (!window.confirm("您发布了一个投标，此操作会扣除您的积分："+$("AwardsInt").value+"，虚拟货币:"+$("AwardsMoney").value+"，是否继续？")){
					return;
				}
			}
		}else{
			objResponse.write("intType","-1");
		}
		if ( $("T_content")==null){
			objResponse.write("T_content","");
		}		
		objResponse.write("table",asTab);
		
		var fList=this.tabPar;
		var fields="";
		for (var i=0;i<fList.length-1;i++){
			if (i<fList.length-2){
				fields=fields+fList[i][0]+","
			}else{
				fields=fields+fList[i][0]+""
			}
		}
		objResponse.write("fields",fields);
		objResponse.write("P_A",p);
		objResponse.write("menuids",this.selectids);
		objResponse.write("mname",this.menuPar[1]);
		if (fileid==null|fileid==""){fileid=""}
		objResponse.write("id",fileid);
		this.menuPar[10]
		//fName,fAsName,fType,fSize,fEditType,isNull 
	    var out=objAjax.submit(form1,"post",true,objResponse);
		if (!isNaN(out)){
			if (out=="1"){
				alert ("一条信息已保存, 点击确定继续.")
				if ($("isClear").checked){
					location.reload();
				}
			}else if(out=="0"){
				alert ("信息已保存, 请等待管理员审核.");
				if ($("isClear").checked){
					location.reload();
				}
			}else {
				alert ("您在此栏目下没有发布权限");
			}
				
		}else{
			alert (erStr(out));
		}
		
	}	
	this.selectUser=function(obj){  //选择用户
		var upObj=obj
		var u= openSelectUser("all");
		if (u!=null){
			if (upObj.value==""){
				upObj.value=u;
			}else{
				upObj.value=upObj.value+","+u;
			}
		}
	}
	
	this.clearUser=function(obj){
		obj.value="";
	}	
	this.createSignForTitle=function(){
		var t=new outTitle();
		t.add("用户","","150");
		t.add("创建日期","","90");
		t.add("签收日期","","90");
		t.add("结束日期","","90");
		t.add("签收状态","","60");
		t.obj=document.getElementById("signForTitle");
		t.create();	
	
	}
	
	this.loadSignForTitle=function(){
		if (pType!="modi"){
			return;
		}
		if (!$("T_signFor").checked){
			return;	
		}
		var objResponse=new JHttpResponse();
	
		objResponse.write("mid",menuid);
		objResponse.write("tabid",fileid);
		objResponse.write("tab",asTab);
		var out=objAjax.getText("post","../system/myWeb/createDataServer.aspx?type=readSignFor",objResponse,null);
		if (out==""){
			return false;
		}
		  out= comminute(out,c1,c2);  //分割数据
		  this.userList=out;
		  var page=out[0];
		  this.mPage=page[2];
		  //toUser,toDate,signFor,endDate,state
		  //0         1      2       3     4 
		  //显示内容
		  var wData=new tabList();
		  wData.obj=document.getElementById("signForList");
		  wData.rowid="signForRow_";                          //行的ID
		  wData.rowClass="tabListBodyRow";                 //行的样式
		  wData.mode=1;                                    //数据显示的格式
		  wData.isCheckbox=false;                          //加上复选框
		  wData.checkBoxID="";                      //复选框名
		  wData.onmouseroverRun="d.rowonmouseover";           //鼠标移上
		  wData.onmouseroutRun="d.rowonmouseout";             //鼠标移走
		  wData.onclickRun="";                    //鼠标单击
		  wData.ondblclickRun="";                   //鼠标双击
		  wData.add(raadArray(out,1,0),"listBodyOption","150");    //添加一列数据  用户名
		  wData.add(raadArray(out,2,0),"listBodyOption","90");    //添加一列数据 创建日期
		  wData.add(raadArray(out,3,0),"listBodyOption","90");     //添加一列数据  签收日期
		  wData.add(raadArray(out,4,0),"listBodyOption","90");     //添加一列数据   结束日期
		  wData.add(raadArray(out,5,0),"list_count","60");         //添加一列数据  状态
		  wData.addid(raadArray(out,0,0));                         //添加行标识 TID
		  wData.create();
		   var cObj=document.getElementsByName("signForRow__4"); //字符处理第四列, 
		  for (var i=0;i<cObj.length;i++){
			  if (cObj[i].innerText=="0"){
				  cObj[i].innerText="否";
				  cObj[i].title="未签收";
			  }else{
				  cObj[i].innerHTML="<B>是</B>";
				  cObj[i].title="已签收";
			  }
		  }
	}
	
	this.rowonmouseover=function(obj){
		obj.className="tabListBodyRow_1";
	}
	this.rowonmouseout=function(obj){
		obj.className="tabListBodyRow";
	}	
	this.openSelectDate=function(){
	  var v=openSelectDate()
	  if (v!=null){
		  $("endsignDate").value=v;
	  }
	}
}
exFieldCss=function(){
	this.fontColor="#000000";
	this.fontWidth="70px";
	this.fontSize="12px";
	this.textWidth="500px";
	this.textHeight="20px";
	this.rowHeight="25px";
	this.rowWidth="100%";
	this.fontCss="";
	this.textCss="";
	this.language="c";
	this.textWidth1=(delpx(this.textWidth)-80)+"px"
	this.setWidth=function(){
		this.textWidth1=(delpx(this.textWidth)-80)+"px"
	}
}